package com.contentinsights.sdk.api;

/**
 * Utility for providing some predefined article access levels.
 */
public class AccessLevel {

    /**
     * Freely accessible article.
     */
    public static String FREE = "free";

    /**
     * Preview of article.
     */
    public static String PREVIEW = "preview";

    /**
     * Article accessible only to paid subscribers.
     */
    public static String PAID = "paid";
}
