package com.contentinsights.sdk.api;

/**
 * Utility for providing some predefined article reader types.
 */
public class ReaderType {

    /**
     * Anonymous, guest visitors.
     */
    public static String ANONYMOUS = "anonymous";

    /**
     * Registered or logged in visitors.
     */
    public static String REGISTERED = "registered";

    /**
     * Subscribed or paid visitors.
     */
    public static String SUBSCRIBED = "subscribed";
}
