package com.contentinsights.sdk.helpers;

import java.util.HashMap;

public class ParametersMap extends HashMap<String, String> {

    @Override
    public String put(String key, String val) {
        if (key == null || val == null || key.isEmpty() || val.isEmpty()) {
            return null;
        }
        return super.put(key, val);
    }

    public String putPositive(String key, int val) {
        if (val < 1) {
            return null;
        }
        return super.put(key, "" + val);
    }
}
