package com.contentinsights.sdk.helpers;

import android.annotation.SuppressLint;

import java.text.SimpleDateFormat;
import java.util.Date;

public class TimeProvider {

    @SuppressLint("SimpleDateFormat")
    public String getFormattedCurrentDate() {
        return new SimpleDateFormat("yyyy-MM-dd HH:mm").format(new Date());
    }

    public long getCurrentTime() {
        return System.currentTimeMillis() / 1000;
    }

    public String getFormattedCurrentTime() {
        return "" + getCurrentTime();
    }
}
