package com.contentinsights.sdk.impl;

import android.webkit.JavascriptInterface;

public class HtmlJsTrackingInterface {

    interface Callback {
        void trackScrollPosition(int newScrollPosition);
    }

    private Callback callback;

    public HtmlJsTrackingInterface(Callback callback) {
        this.callback = callback;
    }

    @JavascriptInterface
    public void setNewScrollPosition(int scrollPosition) {
        callback.trackScrollPosition(scrollPosition);
    }
}
