package com.contentinsights.sdk.impl;

import android.webkit.WebView;
import android.widget.ScrollView;

import com.contentinsights.sdk.api.AttentionTimeParams;
import com.contentinsights.sdk.api.AttentionTimeTracker;

public class NullAttentionTimeTracker implements AttentionTimeTracker {

    private AttentionTimeParams params = new AttentionTimeParams("null.domain.id", "null.article.url");

    @Override
    public AttentionTimeParams getParams() {
        return params;
    }

    @Override
    public void initializeTracker() {

    }

    @Override
    public void submitAttentionTime() {

    }

    @Override
    public void setNewScrollPosition(int position) {

    }

    @Override
    public void startAttention() {

    }

    @Override
    public void pauseAttention() {

    }

    @Override
    public void trackScrolling(WebView webView) {

    }

    @Override
    public void trackScrolling(ScrollView scrollView) {

    }
}
