package com.contentinsights.contentinsightssdk;

import android.app.Application;

import com.contentinsights.sdk.ContentInsights;
import com.contentinsights.sdk.ContentInsightsConfig;

public class CiExampleApplication extends Application {

    @Override
    public void onCreate() {
        super.onCreate();

        ContentInsightsConfig config =
                new ContentInsightsConfig.Builder(this, "5")
                        .doLogWithTag("ContentInsights")
                        .build();
        ContentInsights.init(config);

        /*
        // Example for debug configuration that logs requests but does not send them to the ingestion point:
        ContentInsightsConfig config =
                 new ContentInsightsConfig.Builder(this, "2158")
                        .noBackendRequests()
                        .doLogWithTag("ContentInsights")
                        .build();
        ContentInsights.init(config);
        */
    }
}
