package com.contentinsights.sdk.helpers;

import android.content.Context;
import android.content.SharedPreferences;

import static android.content.Context.MODE_PRIVATE;

public class PreferencesImpl implements Preferences {

    private static String PREFS = "PREFS";

    private Context context;

    public PreferencesImpl(Context context) {
        this.context = context;
    }

    @Override
    public void save(String key, String value) {
        SharedPreferences sp = context.getSharedPreferences(PREFS, MODE_PRIVATE);
        SharedPreferences.Editor edit = sp.edit();
        edit.putString(key, value);
        edit.commit();
    }

    @Override
    public String get(String key) {
        SharedPreferences sp = context.getSharedPreferences(PREFS, MODE_PRIVATE);
        String result = sp.getString(key, "");
        return result;
    }
}
