package com.contentinsights.sdk.impl;

import com.contentinsights.sdk.api.ArticleReadParams;
import com.contentinsights.sdk.api.ArticleReadTracker;

public class NullArticleReadTracker implements ArticleReadTracker {

    private ArticleReadParams params = new ArticleReadParams("null.domain.id", "null.article.url");

    @Override
    public ArticleReadParams getParams() {
        return params;
    }

    @Override
    public void sendArticleLoadRequest() {

    }

    @Override
    public void setPageLoaded(boolean status) {

    }
}
